| Home | Libraries | People | FAQ | More

## Global eos

boost::xpressive::eos — End of sequence assertion.

## Synopsis

    // In header: <boost/xpressive/regex_primitives.hpp>

    unspecified eos;

## Description

For the character sequence [begin, end), 'eos' matches the zero-width sub-sequence [end, end).

| Note
Unlike the perl end of sequence assertion $, 'eos' will not match at the position [end-1, end-1) if *(end-1) is '\n'. To get that behavior, use (!_n >> eos).